import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  GetDeploymentTargetInput,
  GetDeploymentTargetOutput,
} from "../models/models_0";
export { __MetadataBearer };
export interface GetDeploymentTargetCommandInput
  extends GetDeploymentTargetInput {}
export interface GetDeploymentTargetCommandOutput
  extends GetDeploymentTargetOutput,
    __MetadataBearer {}
declare const GetDeploymentTargetCommand_base: {
  new (
    input: GetDeploymentTargetCommandInput
  ): import("@smithy/core/client").CommandImpl<
    GetDeploymentTargetCommandInput,
    GetDeploymentTargetCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  new (
    input: GetDeploymentTargetCommandInput
  ): import("@smithy/core/client").CommandImpl<
    GetDeploymentTargetCommandInput,
    GetDeploymentTargetCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/types").EndpointParameterInstructions;
};
export declare class GetDeploymentTargetCommand extends GetDeploymentTargetCommand_base {
  protected static __types: {
    api: {
      input: GetDeploymentTargetInput;
      output: GetDeploymentTargetOutput;
    };
    sdk: {
      input: GetDeploymentTargetCommandInput;
      output: GetDeploymentTargetCommandOutput;
    };
  };
}
